# EXAMPLE/fgmr.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include "slu_ddefs.h"`

## Defines
#define | epsmac 1.0e-16
## Functions
double | ddot_ (int *, double[], int *, double[], int *)
double | dnrm2_ (int *, double[], int *)
void | daxpy_ (int *, double *, double[], int *, double[], int *)
double | dcopy_ (int *, double[], int *, double[], int *)
int | fgmr (int n, void(*matvec)(double, double[], double, double[]), void(*psolve)(int, double[], double[]), double *rhs, double *sol, double tol, int im, int *itmax, FILE *fits)

## Define Documentation

#define epsmac 1.0e-16

## Function Documentation

void daxpy_ | ( | int * | ,
|  | double * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

double dcopy_ | ( | int * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

double ddot_ | ( | int * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

double dnrm2_ | ( | int * | ,
|  | double | [],
|  | int * |  |
| ) |  |  |

int fgmr | ( | int | n,
|  | void(*)(double, double[], double, double[]) | matvec,
|  | void(*)(int, double[], double[]) | psolve,
|  | double * | rhs,
|  | double * | sol,
|  | double | tol,
|  | int | im,
|  | int * | itmax,
|  | FILE * | fits |
| ) |  |  |